Support » Plugins » [Plugin: WordPress.com Custom CSS] error after upgrading to the new version

  • Resolved Ovidiu

    (@ovidiu)


    upgraded from 1.0 to 1.1 and now getting this error, which kills the whole page. unfortunately, I can’t even download the older version again, as it is not being offered for download. great, gotta go restore now.

    [Fri Jun 04 21:48:02 2010] [error] [client 95.108.157.252] PHP Fatal error: Call to undefined function is_super_admin() in /var/www/clients/clientxx/webxx/web/wp-content/plugins/safecss/safecss.php on line 210

    http://wordpress.org/extend/plugins/safecss/

Viewing 2 replies - 1 through 2 (of 2 total)
  • The new version seems to assume WordPress 3.0, in which the is_site_admin() function is added.

    Try adding this to your theme’s functions.php:

    if (!function_exists('is_super_admin')):
    function is_super_admin() {
    	// for WPMU 2.9 and under
    	if (!function_exists('is_site_admin')) {
    		return is_site_admin();
    	} else {
    	// for standard WP 2.9 and under
    		return current_user_can('switch_themes');
    	}
    }
    endif;

    thx. meanwhile updated to 3.0 and everything works fine 🙂

    thx though for the helpful answer…

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Plugin: WordPress.com Custom CSS] error after upgrading to the new version’ is closed to new replies.